GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_completion_queue Struct Reference

## Data Fields
grpc_cq_completion | completed_head
| completed events More...
grpc_cq_completion * | completed_tail
gpr_refcount | pending_events
| Number of pending events (+1 if we're not shutdown) More...
gpr_refcount | owning_refs
| Once owning_refs drops to zero, we will destroy the cq. More...
grpc_pollset | pollset
| the set of low level i/o things that concern this cq More...
int | shutdown
| 0 initially, 1 once we've begun shutting down More...
int | shutdown_called
int | is_server_cq

## Field Documentation

grpc_cq_completion grpc_completion_queue::completed_head

completed events

grpc_cq_completion* grpc_completion_queue::completed_tail

int grpc_completion_queue::is_server_cq

gpr_refcount grpc_completion_queue::owning_refs

Once owning_refs drops to zero, we will destroy the cq.

gpr_refcount grpc_completion_queue::pending_events

Number of pending events (+1 if we're not shutdown)

grpc_pollset grpc_completion_queue::pollset

the set of low level i/o things that concern this cq

int grpc_completion_queue::shutdown

0 initially, 1 once we've begun shutting down

int grpc_completion_queue::shutdown_called

The documentation for this struct was generated from the following file:

- src/core/surface/completion_queue.c